Subject: Re: [RRG] Renumbering...

From: David Williamson <[email-masked]>
Date: Tue, 2 Sep 2008 20:22:41 -0700

On Tue, Sep 02, 2008 at 07:46:37PM -0400, Noel Chiappa wrote:
>     > From: Stephen Sprunk <[email-masked]>
> 
>     > We _already_ have a scalable solution that requires end-sites to
>     > renumber: RFC 4192. The target market rolled their eyes and got the
>     > RIRs to change policy to allow PI assignments in IPv6 .. rather than
>     > even give it a try because the very concept was so unacceptable.
> 
> This message triggered a rather depressing thought.
> 
> As long as the registries continue to hand out PI space, and as long as the
> ISP's continue to accept and advertise them, most of this whole RRF effort is
> an utter waste of time. (Specifically, any designs which assume *any* effort
> on the part of users/etc are total non-starters.)

It's not quite as bad as that.  My org holds PI space, but we're very
concerned about route table growth, and would happily abandon PI space
if there was a way for us to easily renumber when switching upstream
providers.  At present, that's really hard, and PI is the only solution
that is practical.  A scheme that allows us to renumber once (and it
would take at least a year) so that we have unique identifiers, and
then location becomes a more portable factor, would be great for us.
We cannot accept a scheme that imposes strict lock-in with any single
ISP.

I'd also like to point out that the dichotomy isn't as simple as
PI/PA.  I think the real segmentation is transit vs. non-transit.  It
appears that a significant number of large enterprise end-nodes have
managed to acquire PA space, but they are as much a part of the problem
as those of us who are smaller and have "real" PI space.

I'm generally encouraged that there is some general progress in this
space.  I'm depressed that there hasn't been more.  The clock is
definitely ticking.

-David

--
to unsubscribe send a message to [email-masked] with the
word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/rrg/> & ftp://psg.com/pub/lists/rrg